package wbmas1.servlet;

import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.io.BufferedReader;
import java.util.ArrayList;
import java.io.File;
import java.util.List;

import wbmas1.model.Sample;
import wbmas1.utils.FileUtils;

@WebServlet(urlPatterns = "/file")
public class FileExample extends HttpServlet {

    @Override
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        this.cfg = config;
        ctx = cfg.getServletContext();
    }

    @Override
    public void doGet(HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException {
        response.setContentType("text/html; charset=utf-8");
        request.setCharacterEncoding(response.getCharacterEncoding());
        ServletContext ctx = getServletConfig().getServletContext();

        List<Sample> lista = (List<Sample>)ctx.getAttribute("podaci");
        if (lista == null) {
            lista = FileUtils.read("/Users/branko/Java/wbmas1/podaci.csv");
            ctx.setAttribute("podaci", lista);
        }

        ctx.setAttribute("podaci", lista);

        // do some stuff
        ctx.getRequestDispatcher("/file.jsp").forward(request, response);
    }
    private ServletConfig cfg;
    private ServletContext ctx;
}
