package wbmas1.servlet;

import java.io.IOException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.ServletException;
import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet(urlPatterns = "/mvc1")
public class MvcExample extends HttpServlet {

    @Override
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        this.cfg = config;
        ctx = cfg.getServletContext();
    }

    @Override
    public void doGet(HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException {
        response.setContentType("text/html; charset=utf-8");
        request.setCharacterEncoding(response.getCharacterEncoding());
        ServletContext ctx = getServletConfig().getServletContext();

        // do some complicated stuff

        ctx.getRequestDispatcher("/response.jsp").forward(request, response);
    }
    private ServletConfig cfg;
    private ServletContext ctx;
}
