package wbmas1.servlet;

import java.io.IOException;
import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

@WebServlet(urlPatterns = "/session")
public class SessionExample extends HttpServlet {

    @Override
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        this.cfg = config;
        ctx = cfg.getServletContext();
    }

    @Override
    public void doGet(HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException {
        response.setContentType("text/html; charset=utf-8");
        request.setCharacterEncoding(response.getCharacterEncoding());
        ServletContext ctx = getServletConfig().getServletContext();

        HttpSession session = request.getSession(true);
        String username = (String)session.getAttribute("username");
        String password = (String)session.getAttribute("password");
        session.setAttribute("username", "zika");
        session.setAttribute("password", "123123");

        // do some stuff
        ctx.getRequestDispatcher("/user.jsp").forward(request, response);
    }
    private ServletConfig cfg;
    private ServletContext ctx;
}
